From 2534d079f43f04bb1d20947457cad022bc689679 Mon Sep 17 00:00:00 2001
From: Chris Lamb <lamby@debian.org>
Date: Fri, 24 Jul 2009 20:02:21 +0200
Subject: [PATCH 4/7] Set the filesystem type in cdrom-detect/cdrom_fs for apt-setup's benefit.

---
 packages/cdrom-detect/debian/cdrom-detect.postinst |    2 ++
 .../cdrom-detect/debian/cdrom-detect.templates     |    6 ++++++
 packages/cdrom-detect/debian/changelog             |    1 +
 3 files changed, 9 insertions(+), 0 deletions(-)

diff --git a/packages/cdrom-detect/debian/cdrom-detect.postinst b/packages/cdrom-detect/debian/cdrom-detect.postinst
index ca38cb1..5a2de60 100755
--- a/packages/cdrom-detect/debian/cdrom-detect.postinst
+++ b/packages/cdrom-detect/debian/cdrom-detect.postinst
@@ -40,6 +40,7 @@ do
 				log "CD-ROM mount succeeded: device=$device fstype=vfat"
 				mounted=1
 				db_set cdrom-detect/cdrom_device $device
+				db_set cdrom-detect/cdrom_fs vfat
 				break
 			else
 				log "CD-ROM mount failed: device=$device fstype=vfat"
@@ -58,6 +59,7 @@ do
 			log "CD-ROM mount succeeded: device=$device fstype=iso9660"
 			mounted=1
 			db_set cdrom-detect/cdrom_device $device
+			db_set cdrom-detect/cdrom_fs iso9660
 			break
 		else
 			log "CD-ROM mount failed: device=$device fstype=iso9660"
diff --git a/packages/cdrom-detect/debian/cdrom-detect.templates b/packages/cdrom-detect/debian/cdrom-detect.templates
index 32e7615..9e01795 100644
--- a/packages/cdrom-detect/debian/cdrom-detect.templates
+++ b/packages/cdrom-detect/debian/cdrom-detect.templates
@@ -59,6 +59,12 @@ _Description: Device file for accessing the CD-ROM:
  available devices in /dev with "ls /dev". You can return to this screen
  by pressing ALT+F1.
 
+Template: cdrom-detect/cdrom_fs
+Type: string
+Default: iso9660
+Description: for internal use only
+ File system used on cdrom-detect/cdrom_device.
+
 Template: cdrom-detect/scanning_progress_title
 Type: text
 # :sl1:
diff --git a/packages/cdrom-detect/debian/changelog b/packages/cdrom-detect/debian/changelog
index 45855e9..1ee1990 100644
--- a/packages/cdrom-detect/debian/changelog
+++ b/packages/cdrom-detect/debian/changelog
@@ -7,6 +7,7 @@ cdrom-detect (1.32) UNRELEASED; urgency=low
   * Append " fstype=iso9660" to mounting status messages.
   * Try mounting USB block devices if cdrom-detect/try-usb is true. We reject
     the mountpoint if it does not have /.disk/info file. (Closes: #498143)
+  * Set the filesystem type in cdrom-detect/cdrom_fs for apt-setup's benefit.
 
  -- Colin Watson <cjwatson@debian.org>  Thu, 13 Aug 2009 14:29:04 +0100
 
-- 
1.6.3.3

